2017-03-23 14:54 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003193FSSCPlocalizationpublic2017-03-06 05:14
ReporterNovachen 
Assigned Tom_m 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.8 
Summary0003193: $label in #Briefing in mission files should automatically create an XSTR
DescriptionEven without the use of subtitles and individual hud gauges, you can not translate a, more classic, mission completely with the help of the tstrings.tbl, because the labels for the briefing symbols will not be transferred into the tstrings.tbl automatically.
You have to set the xstr-entry manually in the mission file or you have to translate the symbols directly with FRED2, which is an easier task, but needs a language-specific mission file again, that is not in the purpose of the tstrings.tbl at all.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016876

m_m (developer)

To clarify, you want that FRED saves the briefing label in the XSTR format but it doesn't do that at the moment?

~0016878

Novachen (reporter)

Yes exactly.

Freespace uses some predefined entrys in the localize.cpp that translates labels automatically. But these are only those from the main campaign.

All other new label names from custom missions remain untranslated and have to be changed within the .fs2 file itself.

~0016879

m_m (developer)

Ok, that should be relatively simple. I found the code which writes the label text to the mission file and it uses the wrong function which doesn't output the XSTR syntax so it should be relatively easy to fix.

~0016882

m_m (developer)

Fix has been submitted: https://github.com/scp-fs2open/fs2open.github.com/pull/1287

~0016883

m_m (developer)

Fix has been merged.
+Notes

-Issue History
Date Modified Username Field Change
2017-03-05 04:12 Novachen New Issue
2017-03-05 07:11 m_m Note Added: 0016876
2017-03-05 08:04 Novachen Note Added: 0016878
2017-03-05 08:06 m_m Note Added: 0016879
2017-03-05 08:06 m_m Assigned To => m_m
2017-03-05 08:06 m_m Status new => assigned
2017-03-05 16:37 m_m Status assigned => code review
2017-03-05 16:37 m_m Note Added: 0016882
2017-03-06 05:14 m_m Status code review => resolved
2017-03-06 05:14 m_m Resolution open => fixed
2017-03-06 05:14 m_m Fixed in Version => 3.8
2017-03-06 05:14 m_m Note Added: 0016883
+Issue History